---
lang: en
title: 'API docs: rest.httphandler.(constructor)'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.rest.httphandler.(constructor).html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [HttpHandler](./rest.httphandler.md) &gt; [(constructor)](./rest.httphandler.(constructor).md)

## HttpHandler.(constructor)

Constructs a new instance of the `HttpHandler` class

<b>Signature:</b>

```typescript
constructor(_rootContext: Context, _serverConfig: RestServerResolvedConfig, _routes?: RoutingTable);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  \_rootContext | <code>Context</code> |  |
|  \_serverConfig | <code>RestServerResolvedConfig</code> |  |
|  \_routes | <code>RoutingTable</code> |  |


